<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>JS Homework 12</title>
    <link rel="stylesheet" href="css/style.css">
</head>
<body>

<div class="images-wrapper">
    <img class="image-to-show" src="./img/img_1.jpg" alt="image of game"/>
    <img class="image-to-show hidden-img" src="./img/img_2.jpg" alt="image of game"/>
    <img class="image-to-show hidden-img" src="./img/img_3.jpg" alt="image of game"/>
    <img class="image-to-show hidden-img" src="./img/img_4.png" alt="image of game"/>
</div>

<script src="js/script.js"></script>
</body>
</html>

<!--setTimeOut() - это функция, которая запускает выполнение кода с заданной задержкой во времени.-->
<!--То есть, мы можем отстрочить выполнение иструкций на нужный нам период времени.-->

<!--setInterval() - это функция, которая запускает выполнение кода регулярно с интервалом во времени.-->
<!--То есть, мы можем одной командой запускать одни и те же инструкции на бесконечное количество повторений.-->

<!--setTimeOut() с нулевой задержкой позволяет поместить интересующую нас инструкцию в стек, из которого-->
<!--она будет взята сразу после выполнения итератором текущего кода. То есть, нулевая задержка не означает,-->
<!--что инструкция будет выполнена мгновенно, - функция будет первой помещена в стек и первой из него-->
<!--изьята для выполнения.-->

<!--clearInterval() нужно вызывать в случаях, когда выполнение колбэк-функции, переданной в SetInterval()-->
<!--уже не нужно, для того чтобы не перегружать процессор регулярным выполнением лишнего кода.-->